Bug 988431 - [Doc] [RFE] Volume resize / extend
[Doc] [RFE] Volume resize / extend
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-User_Guide (Show other bugs)
4.0
Unspecified Unspecified
low Severity low
: Upstream M2
: 4.0
Assigned To: Deepti Navale
ecs-bugs
https://blueprints.launchpad.net/cind...
: Documentation, FutureFeature, Triaged
Depends On: 985457
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-07-25 11:09 EDT by Stephen Gordon
Modified: 2016-04-26 16:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 985457
Environment:
Last Closed: 2014-01-06 00:10:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 32466 None None None Never

  None (edit)
Description Stephen Gordon 2013-07-25 11:09:07 EDT
Expect users will want to perform this task, assuming it is exposed by the CLI and/or dashboard. Further investigation required.

+++ This bug was initially created as a clone of Bug #985457 +++

Add support for resizing volumes, more accurately this would be extend_volume at least at first. This would add an API call to specifically extend the size of an existing volume that is currently in an available state.

https://blueprints.launchpad.net/cinder/+spec/volume-resize
Comment 1 Deepti Navale 2013-10-14 19:35:46 EDT
Created Upstream doc bug: 
https://bugs.launchpad.net/openstack-manuals/+bug/1239534

Fix submitted for review: https://review.openstack.org/#/c/51530/ (cinder extend command). Found this change for CLI only for Havana.

Reviewed and merged upstream. Ready for QA when docs are branched.

Note You need to log in before you can comment on or make changes to this bug.